Bug 616796 - KVM uses wrong permissions for large guest pages
KVM uses wrong permissions for large guest pages
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.5.z
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Virtualization Maintenance
Virtualization Bugs
: ZStream
Depends On: 615225
Blocks: 556823
  Show dependency treegraph
 
Reported: 2010-07-21 09:01 EDT by RHEL Product and Program Management
Modified: 2013-01-10 22:08 EST (History)
29 users (show)

See Also:
Fixed In Version: kvm-83-164.el5_5.17
Doc Type: Bug Fix
Doc Text:
Installation of a system was occasionally failing in KVM. This was caused by KVM using wrong permissions for large guest pages. With this update, the installation completes successfully.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 17:32:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2010-07-21 09:01:27 EDT
This bug has been copied from bug #615225 and has been proposed
to be backported to 5.5 z-stream (EUS).
Comment 6 Miya Chen 2010-08-06 06:54:11 EDT
Tried to reproduce this problem with kvm-83-164.el5_5.12 using the following steps, hit the guest crash issue for 4 times during 8 tests.

1. start 1 guest with 4G mem and run dd in guest( host has 4G mem totally)
# /usr/libexec/qemu-kvm -m 4G -smp 2 -cpu qemu64,+sse2tor stdio -drive file=/root/rhel5.5-64-virtio.qcow2,if=virtio,boot=on,cache=none  -net nic,macaddr=20:20:20:12:23:18,model=virtio,vlan=0 -net tap,script=/etc/qemu-ifup,vlan=0 -usbdevice tablet -vnc :10
in guest:
for((;;)); do dd if=/dev/urandom of=testfile bs=2M count=1024; rm -fr testfile; done
2. start to install rhel6 guest with modified initrd(hack the initrd.img to set khugepaged/scan_sleep_millisecs = 1):
# /usr/libexec/qemu-kvm -no-hpet -rtc-td-hack -cpu qemu64,+sse2 -smp 2 -m 1G -uuid `uuidgen` -usbdevice tablet -drive file=rhel6-64-virtio.qcow2,if=virtio,boot=on,format=qcow2,cache=none -net nic,macaddr=20:20:20:12:23:16,model=virtio,vlan=0 -net tap,script=/etc/qemu-ifup,vlan=0 -monitor stdio -kernel /root/michen/vmlinuz -initrd /root/michen/initrd-1.img -append method=http://download.englab.nay.redhat.com/pub/rhel/rel-eng/RHEL6.0-20100730.5/6.0/Server/x86_64/os -vnc :9

Tested with kvm-83-164.el5_5.20 with the above steps and try 12 times, did not hit guest crash during installation.
Comment 8 Martin Prpič 2010-08-17 07:21:03 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Installation of a system was occasionally failing in KVM. This was caused by KVM using wrong permissions for large guest pages. With this update, the installation completes successfully.
Comment 9 errata-xmlrpc 2010-08-19 17:32:12 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0627.html

Note You need to log in before you can comment on or make changes to this bug.